## cinnamon 4.4.8+tricia

=== debian/changelog ===
cinnamon (4.4.8+tricia) tricia; urgency=medium

  * Calendar applet: Fix clock format msgid

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jan 2020 09:41:42 +0000

cinnamon (4.4.7) tricia; urgency=medium

  [ Michael Webster ]
  * window-list applet: thumbnails - only fetch the window actor once, instead of each time it's used.
  * cs_themes.py: theme_path is not guaranteed to be non-null so it needs to be checked before using os.path.exists() (which isn't null-safe).
  * runDialog.js: Don't test a null string when attempting absolute path execution.
  * runDialog.js: Restore implicit home folder location when the entry starts with neither a ~ or /.

  [ Clement Lefebvre ]
  * l10n: Adjust date format

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 10:26:35 +0000

cinnamon (4.4.6) tricia; urgency=medium

  [ Michael Webster ]
  * grouped-window-list: Add listener for workspace changes that do not precede the MetaDisplay's 'window-created' signal.
  * cs_info.py: Show a busy indicator on the Upload button while the upload-system-info script is running.
  * runDialog.js: allow navigating completions using the arrow keys.
  * runDialog.js: When the completion list is open and enter is hit, only execute the line immediately if the path is to a folder, otherwise close the completion list while leaving the last selected completion appended to the original entry contents.  This allows arguments to be added by the user.
  * runDialog.js: Expand ~ to the home path when tabbing for completions, and when executing the command line, expand ~ always.
  * cs_themes.py: Change how the gtk3 css override file is handled.
  * issue template: Add a section to attach xlet configuration if relevant.

  [ JosephMcc ]
  * cs_sound.py: Allow previewing the sound even when disabled

  [ Clement Lefebvre ]
  * Revert "GWL: Remove hotkeys"

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Dec 2019 12:01:06 +0000

cinnamon (4.4.5) tricia; urgency=medium

  [ Michael Webster ]
  * launchers, window list applets: Use the same applet removal confirmation that other applets use.
  * menu applet: Override the default key-press-handler for the popup menu so pressing escape to close the menu doesn't animate.

  [ Stephen Collins ]
  * Settings: add missing widget import (#9016)

  [ Clement Lefebvre ]
  * Panel: Raise text size upper limit to 16pt

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Dec 2019 11:46:55 +0000

cinnamon (4.4.4) tricia; urgency=medium

  [ James Ross ]
  * menu-applet: fix order of places

  [ Michael Webster ]
  * cinnamonEntry.js: Fixes for the copy/paste popup.
  * runDialog.js: Don't do anything if enter is pressed with an entry that is empty (or has only whitespace).

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Dec 2019 10:17:37 +0000

cinnamon (4.4.3) tricia; urgency=medium

  [ Michael Webster ]
  * grouped-window-list@cinnamon.org: Listen to MetaDisplay's window-created signal for adding new windows.
  * grouped-window-list@cinnamon.org: Simplify updating when the pinned apps list changes.
  * grouped-window-list@cinnamon-org: Apply title-display pref changes to all workspaces.
  * cs_startup.py: Make certain that icons are the correct size - when an icon doesn't exist except as a larger size, it can sometimes ignore the GtkIconSize request.
  * cs_startup.py: Scroll to and select the new row when an entry is added.
  * cinnamon-settings: Use the 'gnome-disks' icon for the Disks utility.
  * i18n: run generate_additional_files.py to update a couple of desktop file translations.

  [ Ellis Hoag ]
  * cinnamon-settings: Fix missing backgrounds issue (#8996)

  [ Michael Webster ]
  * xapp-status@cinnamon.org: Switch to a themeable container and give (#8997)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Dec 2019 16:22:09 +0000

cinnamon (4.4.2) tricia; urgency=medium

  [ Michael Webster ]
  * settings@cinnamon.org: Fix applet, Panel.populateSettingsMenu was removed during work on the panel menu.
  * window-list@cinnamon.org: Don't fetch the metaWindow's actor until it's needed, it isn't always there initially.  This also allows recovery on subsequent attempts if null is returned once.

  [ Stephen Collins ]
  * SettingsWidgets.py: remove duplicate IconChooser widget

  [ Clement Lefebvre ]
  * cs_backgrounds: Use symbolic icons in sidebar

  [ Stephen Collins ]
  * GWL: fix focus stealing when the previews are showing (#8984)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2019 20:07:50 +0000

cinnamon (4.4.1) tricia; urgency=medium

  [ Michael Webster ]
  * startup: Change the startup effect, and allow a logo icon name or path to be displayed based on a settings key.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2019 16:22:07 +0000

cinnamon (4.4.0) tricia; urgency=medium

  [ Steve M ]
  * Stock theme - improve modal and run dialog layout (#8740)

  [ Clement Lefebvre ]
  * l10n: Update files
  * menu: Don't show hidden files in recents

  [ James Ross ]
  * menu applet: if all recents are hidden act like there are none (#8780)
  * menu applet: fix typo in system box nav fix (#8781)

  [ Michael Webster ]
  * CinnamonGtkSettings.py: Fix a runtime warning.

  [ Clement Lefebvre ]
  * Settings: Fix picture chooser in HiDPI

  [ Simon Brown ]
  * remove some error_trap deprecations (#8643)

  [ Stephen Collins ]
  * Change xlet about dialog to external python/gtk in it's own process (#8734)

  [ James Ross ]
  * Fix some compile warnings. (#8722)

  [ Clement Lefebvre ]
  * Window settings: Simply layout settings

  [ Eric Larson ]
  * Update cs_windows.py: Add setting for new window focus (#8798)

  [ Clement Lefebvre ]
  * Window settings: Rephrase new option and reorder focus stealing combo options

  [ Michael Webster ]
  * panel.js: Simplify the initial panel context menu. (#8803)

  [ James Ross ]
  * Partially revert "cinnamon-global.c: fix repaint function signatures"

  [ Michael Webster ]


## cinnamon 4.6.6

=== debian/changelog ===
cinnamon (4.6.6-1) unstable; urgency=medium

  * New upstream version 4.6.6

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:53:26 +0900

cinnamon (4.6.3-1) experimental; urgency=medium

  * New upstream version 4.6.3
  * update patches
  * bump deps to 4.6

 -- Norbert Preining <norbert@preining.info>  Thu, 11 Jun 2020 14:06:09 +0900

=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 11~),
 dh-python,
 dpkg-dev (>= 1.16.1~),
 gir1.2-meta-muffin-0.0 (>= 4.6),
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 4.6),
 libcinnamon-menu-3-dev (>= 4.6),
 libcjs-dev (>= 4.6),
 libclutter-1.0-dev (>= 1.10.0),
 libcroco3-dev (>= 0.6.2),
 libdbus-1-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.25.11),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libjson-glib-dev (>= 0.13.2),
 libmuffin-dev (>= 4.6),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 libsoup2.4-dev,
 libstartup-notification0-dev (>= 0.11),
 libxfixes-dev (>= 1:5.0),
 python3:any,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon.git

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-common (= ${source:Version}),
 cinnamon-control-center (>= 4.6),
 cinnamon-desktop-data (>= 4.6),
 cinnamon-screensaver (>= 4.6),
 cinnamon-session (>= 4.6),
 cinnamon-settings-daemon (>= 4.6),
 cjs (>= 4.6),
 cups-pk-helper,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-clutter-1.0,
 gir1.2-cmenu-3.0 (>= 4.6),
 gir1.2-cogl-1.0,
 gir1.2-cvc-1.0 (>= 4.6),
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gnomedesktop-3.0,
 gir1.2-gtk-3.0,
 gir1.2-gtkclutter-1.0,
 gir1.2-keybinder-3.0,
 gir1.2-nemo-3.0 (>= 4.6),
 gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-pango-1.0,
 gir1.2-polkit-1.0,
 gir1.2-soup-2.4,
 gir1.2-timezonemap-1.0,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.2),
 gkbd-capplet,
 gnome-backgrounds,
 gnome-themes-extra | gnome-themes-standard,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flags-png-320x240,
 libcinnamon-desktop4 (>= 4.6),
 libcinnamon-menu-3-0 (>= 4.6),
 libcjs0 (>= 4.6),
 libglib2.0-bin,
 libmuffin0 (>= 4.6),
 mesa-utils,
 muffin (>= 4.6),
 nemo (>= 4.6),
 network-manager-gnome [linux-any],
 policykit-1-gnome  (>= 0.105-6),
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-setproctitle,
 python3-tinycss2,
 python3-tz,
 xapps-common (>= 1.2),
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 blueman,
 cinnamon-l10n (>= 4.6),
 gnome-terminal | x-terminal-emulator,
 libcanberra-pulse,
 metacity-common,
Suggests: cinnamon-doc, python3-opencv
Provides: notification-daemon, x-window-manager
Replaces: cinnamon-common (<= 2.2.14-1)
Breaks: cinnamon-common (<= 2.2.14-1), cinnamon-core (<< 4.6~)
Description: Innovative and comfortable desktop
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 4.6),
 gir1.2-meta-muffin-0.0 (>= 4.6),
 libglib2.0-bin,
 python3-xapp,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Replaces: cinnamon (<< 3.6.7-1~)
Breaks: cinnamon (<< 3.6.7-1~)
Description: Innovative and comfortable desktop (Common data files)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the data files needed by Cinnamon

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Innovative and comfortable desktop (Documentation)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the documentation files distributed with Cinnamon.

## cinnamon 4.6.7

=== debian/changelog ===
cinnamon (4.6.7-1ubuntu1.1) groovy; urgency=medium

  * Update spotify artwork url (LP: #1901344)

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Wed, 10 Feb 2021 15:50:40 -0500

cinnamon (4.6.7-1ubuntu1) groovy; urgency=medium

  * Network applet: Ensure menu item exists for the active connection
    (LP: #1895020)

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Wed, 09 Sep 2020 13:03:12 -0400

cinnamon (4.6.7-1) unstable; urgency=medium

  * New upstream version 4.6.7
  * update patch
  * bump standards version, no changes necessary
  * use debhelerp-compat instead of debian/compat

 -- Norbert Preining <norbert@preining.info>  Sun, 16 Aug 2020 00:54:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cinnamon
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -10,7 +11,7 @@
 Build-Depends:
  autoconf-archive,
  automake,
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  dh-python,
  dpkg-dev (>= 1.16.1~),
  gir1.2-meta-muffin-0.0 (>= 4.6),
@@ -39,7 +40,7 @@
  libstartup-notification0-dev (>= 0.11),
  libxfixes-dev (>= 1:5.0),
  python3:any,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon.git

## cinnamon 4.6.7+ulyana

=== debian/changelog ===
cinnamon (4.6.7+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * xapp-status@cinnamon.org: Fix visibility for items when an icon is set after having it explicitly un-set.
  * keybindings: revisit #9375, keybindings not updating.

  [ Vincent Vermeulen ]
  * Correct Disks icon in System Settings

  [ Michael Webster ]
  * keyboard applet: Account for the ui scale when adjusting the flag icon size.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 12:38:07 +0100

cinnamon (4.6.6) ulyana; urgency=medium

  [ Michael Webster ]
  * cs_keyboard.py: Reverse the custom keybinding path suffix each time a change occurs in the subfolders.
  * cinnamon-app-system.c: Ignore apps in the menu tree that don't have an appinfo instance.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 13:45:07 +0100

cinnamon (4.6.5) ulyana; urgency=medium

  [ Michael Webster ]
  * cs_calendar.py: Don't try to set an invalid timezone on the tz selector.

  [ Clement Lefebvre ]
  * Users and groups: Add missing vendor info in polkit policy

  [ Michael Webster ]
  * cs_desktop.py: move gi.require call into the try/except block for importing nemo.

  [ NikoKrause ]
  * menu applet: add missing l10n string (#9377)

  [ fredcw ]
  * cinnamon theme: use em's instead of px's (#9370)

  [ sidorsett ]
  * Add (non)work-day style classes to the header (#9362)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jun 2020 13:40:45 +0100

cinnamon (4.6.4) ulyana; urgency=medium

  [ fredcw ]
  * Update applet.js

  [ yparitcher ]
  * Fix workspace OSD

  [ Leigh Scott ]
  * Remove encoding=None

  [ Michael Webster ]
  * menu@cinnamon.org: Fix interference between panel icon size handling and the menu applet's icon handling.

  [ Clement Lefebvre ]
  * Menu applet: Fix description for standard places
  * Notification applet: Fix ngettext translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 15:38:54 +0100

cinnamon (4.6.3) ulyana; urgency=medium

  [ Michael Webster ]
  * windowManager.js: Fix some runtime warnings, operate on the InfoOSD's actor, not the InfoOSD itself.

  [ Mihail Bodrov ]
  * edgeFlip: refactor from prototype to es class

  [ Clement Lefebvre ]
  * CI: Use explicit tags

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:50:51 +0100

cinnamon (4.6.2) ulyana; urgency=medium

  [ Eli Schwartz ]
  * cs_info: delay import of 'distro' module until it is used

  [ Michael Webster ]
  * xapp status applet: Fix image handling in a vertical panel.
  * xapp status applet: Use markup for tooltips.
  * menu applet: Fix reference error caused by 9aed706da69a9c8.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2020 12:36:30 +0100

cinnamon (4.6.1) ulyana; urgency=medium

  [ Leigh Scott ]
  * Readd import, fixes #9305

  [ Michael Webster ]
  * applets: Fix force-loading of out-of-date applets.

  [ Clement Lefebvre ]
  * Keyboard applet: Cycle layouts on middle-click
  * CI: Target Mint 20 and LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 May 2020 11:16:06 +0100

cinnamon (4.6.0) ulyana; urgency=medium

  [ Eli Schwartz ]
  * python 3.8: fix all flake8 F632 errors

  [ JosephMcc ]
  * popupMenu.js: Use a simpler animation for open and close

  [ claudiux ]
  * Remove multicore-sys-monitor@ccadeptic23 of knownCinnamon4Conflicts list

  [ Clement Lefebvre ]
  * Calendar applet: Initiate this.clock a little sooner

  [ zbouba ]
  * Add 2-second lock delay option

  [ okaestne ]
  * ExtensionCore.py: use Gio library for resetting settings instead on os.system

  [ Michael Webster ]
  * ExtensionCore.py: Don't set a default size for the message dialog, just allow gtk to decide the proper size based on its content.
  * main.js: Skip the startup animation unconditionally if cinnamon-session is already in the 'running' state (like it would be when restarting cinnamon).
  * Show a popup when cinnamon restarts
  * runDialog.js: Delay execution of dev commands until the run dialog has animated out.

  [ Clement Lefebvre ]
  * Packaging: Remove version on gnome-icon-theme dependency

  [ JosephMcc ]
  * St: Make the theme follow the default font
  * cs_windows: Add a couple more button layout options
  * cs_backgrounds.py: Remove "screenshot" from the keywords

  [ Michael Webster ]
  * st-texture-cache: Add an async image-loading method that provides a callback that supplies the actor, which has been explicitly made the same size as the loaded image.
  * xapp status applet: Support irregularly-shaped images.
  * grouped window list: When a new appgroup is added, sync its actor's reactivity to the current state of panel-edit-mode.  This prevents any windows added while panel edit mode is active from breaking DND.
  * st-texture-cache.c: Account for ui scale in st_texture_cache_load_image_from_file_async.
  * texture-cache: Stop using 'active-display-scale', remove setting key.

  [ JosephMcc ]
  * modalDialog: Quiet an ES6 warning
  * theme: Remove all hardcoded font sizing
  * restart-osd: Add an additional style class
  * workspace-osd: Simplify and reuse the InfoOSD

  [ claudiux ]
  * notifications: add button in applet settings, to open system settings
  * placesManager.js: Adapt messages to different cases of unmounting/ejection of volumes/drives/media.

  [ Michael Webster ]
  * placesManager.js: Display persistent message when attempting to remove a device and a busy error is received, then poll periodically and try again until it succeeds (or another io error occurs).
  * cinnamonDBus.js: Add a method to restart cinnamon, with optional osd display.

  [ Stephen Collins ]
  * Sound applet: close the menu when a player is launched

  [ Clement Lefebvre ]
  * Update project URL
  * Remove obsolete links

  [ claudiux ]
  * close the menu when the eject button is activated

  [ Michael Webster ]
  * cs_display: Remove the ui scale setting from the second page.


=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 10),
 dh-python,
 dpkg-dev (>= 1.16.1~),
 gir1.2-json-1.0,
 gir1.2-meta-muffin-0.0 (>= 3.8),
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 3.8),
 libcinnamon-menu-3-dev,
 libcjs-dev (>= 3.8),
 libcroco3-dev (>= 0.6.2),
 libdbus-glib-1-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.25.11),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libgudev-1.0-dev,
 libjson-glib-dev (>= 0.13.2),
 libmuffin0 (>= 3.8),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 librsvg2-dev,
 libsoup2.4-dev,
 libstartup-notification0-dev (>= 0.11),
 libxfixes-dev (>= 1:5.0),
 python3:any,
Standards-Version: 3.9.5
Homepage: https://projects.linuxmint.com/cinnamon/

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-common,
 cinnamon-control-center,
 cinnamon-desktop-data,
 cinnamon-l10n,
 cinnamon-screensaver,
 cinnamon-session,
 cinnamon-settings-daemon,
 cjs (>= 3.8),
 cups-pk-helper,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-cinnamondesktop-3.0,
 gir1.2-cmenu-3.0,
 gir1.2-cvc-1.0,
 gir1.2-gkbd-3.0,
 gir1.2-gtkclutter-1.0,
 gir1.2-keybinder-3.0,
 gir1.2-meta-muffin-0.0,
 gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-polkit-1.0,
 gir1.2-soup-2.4,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.0.4~),
 gkbd-capplet,
 adwaita-icon-theme,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flag-png,
 libcanberra-pulse,
 libcinnamon-desktop4,
 libcinnamon-menu-3-0,
 libcjs0f (>= 3.8),
 libglib2.0-bin,
 libmuffin0,
 mate-panel | gnome-panel | tint2,
 mesa-utils,
 metacity,
 nemo,
 network-manager-gnome [linux-any],
 policykit-1-gnome,
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pam | python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-setproctitle,
 python3-tinycss2 | python3-tinycss,
 python3-tz,
 streamer,
 wget,
 xapps-common,
 ${gir:Depends},
 ${icon-theme:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-terminal | x-terminal-emulator,
 gnome-themes-extra | gnome-themes-standard,
Suggests: cinnamon-doc
Provides: notification-daemon, x-window-manager
Description: Modern Linux desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0,
 gir1.2-meta-muffin-0.0,
 gvfs-bin,
 gir1.2-timezonemap-1.0,
 xdg-utils,
 python3-xapp,
 ${misc:Depends},
 ${python3:Depends},
Description: Cinnamon desktop (Common data files)
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the architecture independent files needed by Cinnamon

Package: cinnamon-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 cinnamon (= ${binary:Version}),
 cinnamon-control-center-dbg,
 libcinnamon-desktop-dbg,
 libcinnamon-menu-3-0-dbg,
 libcjs-dbg,
 libcvc-dbg,
 muffin-dbg,
 nemo-dbg,
 ${misc:Depends},
Description: Debugging symbols for the Cinnamon desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the debugging symbols.

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Cinnamon documentation
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the code documentation for various Cinnamon components.

## cinnamon 4.8.3

=== debian/changelog ===
cinnamon (4.8.3-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Remove unused build-dependency on libcroco3-dev (Closes: #967027)

 -- Norbert Preining <norbert@preining.info>  Mon, 21 Dec 2020 04:31:36 +0900

cinnamon (4.8.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:58 +0900

cinnamon (4.8.3-1) experimental; urgency=medium

  * New upstream version 4.8.3

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 12:56:42 +0900

cinnamon (4.8.2-1) experimental; urgency=medium

  * Update/rename lintian tags.
  * Ensure postinstall aborts on failed sub-commands.
  * Add dbus to dependencies for dbus-send command.
  * New upstream version 4.8.2
  * Adjust B-D according to upstream.
  * Remove patches for upstream fixes.
  * Fix some lintian warnings.
  * install new files, remove dh_missing override, fail on missing files.

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 23:09:48 +0900

cinnamon (4.8.0-2) experimental; urgency=medium

  [ Fabio Fantoni ]
  * Add firefox-esr to favorites (Closes: #918917)
  * Disable network manager in configure on not-linux archs.
  * Add some build related fixes from upstream.
  * Remove override_dh_girepository (fix i386 build).

 -- Norbert Preining <norbert@preining.info>  Sun, 06 Dec 2020 09:29:49 +0900

cinnamon (4.8.0-1) experimental; urgency=medium

  * New upstream version 4.8.0 (Closes: #969245)
  * update/cleanup patches
  * update B-D versions
  * use meson, use 4.8 deps, dh compat 13
  * Bump xapp dependency.

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:33:22 +0900

cinnamon (4.6.7-2) experimental; urgency=medium

  * Fixes for new cjs

 -- Norbert Preining <norbert@preining.info>  Tue, 29 Sep 2020 10:18:39 +0900

=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.16.1~),
 gir1.2-meta-muffin-0.0 (>= 4.6),
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 4.8~),
 libcinnamon-menu-3-dev (>= 4.8~),
 libcjs-dev (>= 4.8~),
 libclutter-1.0-dev (>= 1.10.0),
 libdbus-1-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.52.0),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libjson-glib-dev (>= 0.13.2),
 libmuffin-dev (>= 4.6),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 libsoup2.4-dev,
 libstartup-notification0-dev (>= 0.11),
 libxfixes-dev (>= 1:5.0),
 meson (>= 0.46.0),
 python3:any,
Standards-Version: 4.5.0
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon.git

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-common (= ${source:Version}),
 cinnamon-control-center (>= 4.8),
 cinnamon-desktop-data (>= 4.8),
 cinnamon-screensaver (>= 4.8),
 cinnamon-session (>= 4.8),
 cinnamon-settings-daemon (>= 4.8),
 cjs (>= 4.8),
 cups-pk-helper,
 dbus,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-clutter-1.0,
 gir1.2-cmenu-3.0 (>= 4.8),
 gir1.2-cogl-1.0,
 gir1.2-cvc-1.0 (>= 4.8),
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gnomedesktop-3.0,
 gir1.2-gtk-3.0,
 gir1.2-gtkclutter-1.0,
 gir1.2-keybinder-3.0,
 gir1.2-nemo-3.0 (>= 4.8),
 gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-pango-1.0,
 gir1.2-polkit-1.0,
 gir1.2-soup-2.4,
 gir1.2-timezonemap-1.0,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.9.0),
 gkbd-capplet,
 gnome-backgrounds,
 gnome-themes-extra | gnome-themes-standard,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flags-png-320x240,
 libcinnamon-desktop4 (>= 4.8),
 libcinnamon-menu-3-0 (>= 4.8),
 libcjs0 (>= 4.8),
 libglib2.0-bin,
 libmuffin0 (>= 4.8),
 mesa-utils,
 muffin (>= 4.8),
 nemo (>= 4.8),
 network-manager-gnome [linux-any],
 policykit-1-gnome  (>= 0.105-6),
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-setproctitle,
 python3-tinycss2,
 python3-tz,
 xapps-common (>= 1.9.0),
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 blueman,
 cinnamon-l10n (>= 4.8),
 gnome-terminal | x-terminal-emulator,
 libcanberra-pulse,
 metacity-common,
Suggests: cinnamon-doc, python3-opencv
Provides: notification-daemon, x-window-manager
Replaces: cinnamon-common (<= 2.2.14-1)
Breaks: cinnamon-common (<= 2.2.14-1), cinnamon-core (<< 4.6~)
Description: Innovative and comfortable desktop
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-meta-muffin-0.0 (>= 4.8),
 libglib2.0-bin,
 python3-xapp,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Replaces: cinnamon (<< 3.6.7-1~)
Breaks: cinnamon (<< 3.6.7-1~)
Description: Innovative and comfortable desktop (Common data files)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the data files needed by Cinnamon

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Innovative and comfortable desktop (Documentation)
 Cinnamon is a desktop environment which provides advanced innovative
 features and a traditional user experience.
 .
 The desktop layout is similar to GNOME 2.  The underlying technology is
 forked from gnome-shell.  The emphasis is put on making users feel at home
 and providing them with an easy to use and comfortable desktop experience.
 .
 This package contains the documentation files distributed with Cinnamon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Force UTF8 to workaround doc build error
export LC_ALL=C.UTF-8

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CONFIGURE_EXTRA_FLAGS = \
	-Ddocs=true

ifneq ($(DEB_HOST_ARCH_OS),linux)
	CONFIGURE_EXTRA_FLAGS += \
	-Ddisable_networkmanager=true
endif

%:
	dh $@ --with python3,gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	# Disable tests, upstream doesn't use them
	:

# Thumbnail path for the window manager themes
TH_DIR=debian/cinnamon-common/usr/share/cinnamon/thumbnails/metacity-1

override_dh_install-indep:
	dh_install

	mv $(TH_DIR)/Adwaita.png $(TH_DIR)/Default.png

	rm -f debian/cinnamon-common/usr/share/cinnamon/js/misc/config.js

override_dh_install-arch:
	dh_install -X.la

execute_before_dh_install-indep:
	chmod 0644 debian/tmp/usr/share/cinnamon/applets/xapp-status@cinnamon.org/metadata.json

override_dh_python3:
	dh_python3 /usr/share/cinnamon

override_dh_makeshlibs:
	dh_makeshlibs -pcinnamon -Xlibcinnamon
	dh_makeshlibs --remaining-packages

## cinnamon 4.8.4

=== debian/changelog ===
cinnamon (4.8.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream version 4.8.4

  [ Fabio Fantoni ]
  * Add metapackages as recommends and suggest (Closes: #958454)

 -- Norbert Preining <norbert@preining.info>  Sat, 26 Dec 2020 15:52:30 +0900

=== debian/control ===
--- 
+++ 
@@ -116,7 +116,8 @@
  gnome-terminal | x-terminal-emulator,
  libcanberra-pulse,
  metacity-common,
-Suggests: cinnamon-doc, python3-opencv
+ cinnamon-core,
+Suggests: cinnamon-doc, python3-opencv, cinnamon-desktop-environment
 Provides: notification-daemon, x-window-manager
 Replaces: cinnamon-common (<= 2.2.14-1)
 Breaks: cinnamon-common (<= 2.2.14-1), cinnamon-core (<< 4.6~)

## cinnamon 4.8.5

=== debian/changelog ===
cinnamon (4.8.5-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Remove old transitions meta packages:
    gnome-themes-standard, gir1.2-networkmanager-1.0
  * removed old breaks/replaces

  [ Norbert Preining ]
  * New upstream version 4.8.5
  * Remove upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Sun, 03 Jan 2021 06:28:38 +0900

cinnamon (4.8.4-2) unstable; urgency=medium

  * Include upstream patch for desktop files in sub-folders.

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Jan 2021 08:09:23 +0900

=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
  gir1.2-gtkclutter-1.0,
  gir1.2-keybinder-3.0,
  gir1.2-nemo-3.0 (>= 4.8),
- gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
+ gir1.2-nm-1.0 [linux-any],
  gir1.2-nma-1.0 [linux-any],
  gir1.2-notify-0.7,
  gir1.2-pango-1.0,
@@ -80,7 +80,7 @@
  gir1.2-xapp-1.0 (>= 1.9.0),
  gkbd-capplet,
  gnome-backgrounds,
- gnome-themes-extra | gnome-themes-standard,
+ gnome-themes-extra,
  gsettings-desktop-schemas (>= 0.1.7),
  iso-flags-png-320x240,
  libcinnamon-desktop4 (>= 4.8),
@@ -119,8 +119,7 @@
  cinnamon-core,
 Suggests: cinnamon-doc, python3-opencv, cinnamon-desktop-environment
 Provides: notification-daemon, x-window-manager
-Replaces: cinnamon-common (<= 2.2.14-1)
-Breaks: cinnamon-common (<= 2.2.14-1), cinnamon-core (<< 4.6~)
+Breaks: cinnamon-core (<< 4.8~)
 Description: Innovative and comfortable desktop
  Cinnamon is a desktop environment which provides advanced innovative
  features and a traditional user experience.
@@ -140,8 +139,6 @@
  xdg-utils,
  ${misc:Depends},
  ${python3:Depends},
-Replaces: cinnamon (<< 3.6.7-1~)
-Breaks: cinnamon (<< 3.6.7-1~)
 Description: Innovative and comfortable desktop (Common data files)
  Cinnamon is a desktop environment which provides advanced innovative
  features and a traditional user experience.

## cinnamon 4.8.6

=== meson_options.txt ===
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('deprecated_warnings',
    type: 'boolean',
    value: false,
    description: 'Show build warnings for deprecations'
)
option('build_recorder',
    type: 'boolean',
    value: true,
    description: 'Build the cinnamon recorder into source'
)
option('disable_networkmanager',
    type: 'boolean',
    value: false,
    description: 'Build without networkmanager'
)

=== debian/changelog ===
cinnamon (4.8.6-2+deb11u1) bullseye; urgency=medium

  * d/patches: add upstream patch that solves a crash adding
    an online account with login on web component (Closes: #1001536)
  * change vcs-git, CI and gbp to bullseye

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 05 Feb 2022 13:16:03 +0100

cinnamon (4.8.6-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Remove x-terminal-emulator alternative from gnome-terminal
    recommend in cinnamon (Closes: #960244)
  * d/patches/GWL-fixes.patch: fixes some bugs that occur when
    move app window to another workspace.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Feb 2021 09:12:15 +0900

cinnamon (4.8.6-1) unstable; urgency=medium

  * New upstream version 4.8.6

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:12:34 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -40,7 +40,7 @@
 Standards-Version: 4.5.0
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon
-Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon.git
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon.git -b bullseye
 
 Package: cinnamon
 Architecture: any
@@ -112,12 +112,12 @@
  ${shlibs:Depends},
 Recommends:
  blueman,
+ cinnamon-core,
  cinnamon-l10n (>= 4.8),
- gnome-terminal | x-terminal-emulator,
+ gnome-terminal,
  libcanberra-pulse,
  metacity-common,
- cinnamon-core,
-Suggests: cinnamon-doc, python3-opencv, cinnamon-desktop-environment
+Suggests: cinnamon-desktop-environment, cinnamon-doc, python3-opencv
 Provides: notification-daemon, x-window-manager
 Breaks: cinnamon-core (<< 4.8~)
 Description: Innovative and comfortable desktop

=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,6 @@
 override_dh_install-arch:
 	dh_install -X.la
 
-execute_before_dh_install-indep:
-	chmod 0644 debian/tmp/usr/share/cinnamon/applets/xapp-status@cinnamon.org/metadata.json
-
 override_dh_python3:
 	dh_python3 /usr/share/cinnamon

## cinnamon 4.8.6+ulyssa

=== debian/changelog ===
cinnamon (4.8.6+ulyssa) ulyssa; urgency=medium

  [ Fabio Fantoni ]
  * Remove executable from xapp-status applet files (#9820)

  [ Michael Webster ]
  * messageTray.js: Remove call to nonexistant method.

  [ Clement Lefebvre ]
  * spices: Fix URL timestamp not being used

  [ Joshua Peisach ]
  * cinnamon-file-dialog: Import GTK properly (#9843)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jan 2021 14:22:09 +0000

cinnamon (4.8.5) ulyssa; urgency=medium

  [ icarter09 ]
  * Adds Cycle Apps functionality back

  [ JosephMcc ]
  * cs_power.py: Remove a status icon

  [ Joshua Peisach ]
  * Power applet: Use spaces after commas.

  [ forever-and-a-day ]
  * New ICON_NAMES Entries for Tilix terminal actions

  [ Michael Webster ]
  * osdWindow.js: Hide the level label as well as the level itself when not used.

  [ Lars Mueller ]
  * Fix for desktop files in subfolders: use the desktop id generated in cinnamon-menus

  [ Dan Dascalescu ]
  * Github issue template: Simplify path to .xsession-errors (#9788)

  [ claudiux ]
  * Docs: Update xlet-settings-ref.xml (#9813)

  [ NikoKrause ]
  * removable-drives applet: use drive-removable-media icon (#9818)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 18:23:24 +0000

cinnamon (4.8.4) ulyssa; urgency=medium

  [ Michael Webster ]
  * js/ui/settings.js: Return the default value of a setting if no 'value' field exists.

  [ Lars Mueller ]
  * meson: fix order-only dependency on generated headers for cinnamon-enum-types-h

  [ Michael Webster ]
  * cinnamon-app.c: Never return NULL for the flatpak app id.

  [ Clement Lefebvre ]
  * Icons: Add cinnamon-virtual-keyboard.svg

  [ Michael Webster ]
  * src/meson.build: Include the generated enum header in the other build targets that use libcinnamon.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Dec 2020 13:27:59 +0000

cinnamon (4.8.3) ulyssa; urgency=medium

  [ Michael Webster ]
  * menu applet: Don't destroy the favorite category when rebuilding the application list.

  [ Cinhi Young ]
  * cs_info: fix crash caused by missing key under getProcInfo (#9755)

  [ Eli Schwartz ]
  * Proper fix for builds with networkmanager disabled. (#9757)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * Don't show a notification when a spice settings file is corrupt.

  [ Michael Webster ]
  * favorites applet: remove debug line.
  * favorites applet: Use the global XAppFavorites instance.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Dec 2020 12:15:19 +0000

cinnamon (4.8.2) ulyssa; urgency=medium

  * Favorites applet: Fix papercuts
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 12:56:15 +0000

cinnamon (4.8.1) ulyssa; urgency=medium

  [ Michael Webster ]
  * cr-utils.c: Fix copy/paste error.
  * debian/control: add cinnamon-desktop-dev back into the build deps.
  * cinnamon-window-tracker.c: Remove window role check when identifying chromium web apps.

  [ Eli Schwartz ]
  * meson: fix order-only dependency on generated headers

  [ Leigh Scott ]
  * Add muffin rpath to cinnamon executable
  * Add libexecdir to meson

  [ JosephMcc ]
  * meson: Fix build when network manager is disabled

  [ ronyalaluf ]
  * Grouped-Window-List: fix hoverMenu stuck after menu cycle (fix #9067); Continuation of PR #9710

  [ Michael Webster ]
  * build: bump minimum version of glib.

  [ brownsr ]
  * extension.js: remove superfluous line causing warnings

  [ claudiux ]
  * Display entire stream name when its length <= 20 characters

  [ Michael Webster ]
  * sound applet: Listen for changes to certain properties on the org.mpris.MediaPlayer2 interface.
  * cinnamon-window-tracker.c: Skip the browser-app check if wm_instance and wm_class are NULL.
  * cinnamon-window-tracker.c: Revert unnecessary change in previous commit, do a better job explaining the desktop-less webapp check.
  * src/meson.build: Fix log domain for cinnamon.
  * sound applet: Fix displaying the tooltip when mouse-scrolling to change the volume.

  [ nkreer ]
  * Include shift as magnifier shortcut

  [ NikoKrause ]
  * menu-applet: change favorites category icon

  [ Michael Webster ]
  * favorites applet: Use correct favorites icon.
  * favorites applet: Hide on panel if there aren't any favorites, fix stuck visibility of the favorites category in the menu applet.
  * menu applet: Follow-up to previous commit, the categoryId for favorites is actually 'favorite' for 'an individual favorite', so we should look for that, not the plural.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:37:58 +0000

cinnamon (4.8.0) ulyssa; urgency=medium

  [ miniskipper ]
  * implement suspend-then-hibernate (issue #237)

  [ ronyalaluf ]
  * fix #2519

  [ ronyala ]
  * fix RTL bug in panel-edit-mode
  * fix bug when dragging windows in RTL
  * fix dragging launchers in RTL
  * change round to floor in position calculation

  [ Eli Schwartz ]
  * remove build dependency on dbus-glib
  * configure.ac: remove pkg-config module checks which are never used

  [ Chase Wright ]
  * Add Percentage Label to OSD for Volume Control (#9532)

  [ Leigh Scott ]
  * Bundle libcroco
  * cr-rgb: remove handling of "inherit" and "transparent"
  * Fix always-true condition
  * croco: Remove duplicated conditions
  * libcroco: Limit recursion in block and any productions CVE-2020-12825)
  * Handle "color: inherit" directly in get_color_from_term(), not in libcroco

  [ Michael Webster ]
  * network applet: Make sure there's always a menu item for the active connection.
  * xapp status applet: Store icons using a unique key based on the icon name and object path.
  * xapp applet: Go back to using icon 'name' property, not the constructed key, to do applet role checking.

  [ Unknown ]
  * menu applet: Added option to display panel when the menu is opened

  [ Michael Webster ]
  * menu applet: Default new 'force show panel' preference to true, move it to the panel behavior group.

  [ Helmut Stult ]


=== debian/control ===
Source: cinnamon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 meson,
 debhelper-compat (= 12),
 dh-python,
 dpkg-dev (>= 1.16.1~),
 gir1.2-json-1.0,
 gir1.2-meta-muffin-0.0 (>= 3.8),
 gnome-pkg-tools (>= 0.11),
 gobject-introspection (>= 1.29.15),
 gtk-doc-tools,
 intltool,
 libcinnamon-desktop-dev (>= 4.8),
 libcinnamon-menu-3-dev (>= 4.8),
 libcjs-dev (>= 4.8),
 libdbus-1-dev,
 libgirepository1.0-dev (>= 1.29.15),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.52),
 libgstreamer1.0-dev,
 libgtk-3-dev (>= 3.9.12),
 libgudev-1.0-dev,
 libjson-glib-dev (>= 0.13.2),
 libmuffin0 (>= 3.8),
 libnm-dev (>= 1.6) [linux-any],
 libnma-dev [linux-any],
 libpolkit-agent-1-dev (>= 0.100),
 libpulse-dev,
 librsvg2-dev,
 libsoup2.4-dev,
 libstartup-notification0-dev (>= 0.11),
 libxfixes-dev (>= 1:5.0),
 python3:any,
Standards-Version: 3.9.5
Homepage: https://projects.linuxmint.com/cinnamon/

Package: cinnamon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-common,
 cinnamon-control-center,
 cinnamon-desktop-data,
 cinnamon-l10n,
 cinnamon-screensaver,
 cinnamon-session,
 cinnamon-settings-daemon,
 cjs (>= 4.8),
 cups-pk-helper,
 gir1.2-accountsservice-1.0,
 gir1.2-caribou-1.0,
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-cmenu-3.0 (>= 4.8),
 gir1.2-cvc-1.0,
 gir1.2-gkbd-3.0,
 gir1.2-gtkclutter-1.0,
 gir1.2-keybinder-3.0,
 gir1.2-meta-muffin-0.0,
 gir1.2-nm-1.0 [linux-any] | gir1.2-networkmanager-1.0 [linux-any],
 gir1.2-nma-1.0 [linux-any],
 gir1.2-notify-0.7,
 gir1.2-polkit-1.0,
 gir1.2-soup-2.4,
 gir1.2-upowerglib-1.0,
 gir1.2-xapp-1.0 (>= 1.9.0),
 gkbd-capplet,
 adwaita-icon-theme,
 gsettings-desktop-schemas (>= 0.1.7),
 iso-flag-png,
 libcanberra-pulse,
 libcinnamon-desktop4,
 libcinnamon-menu-3-0,
 libcjs0f,
 libglib2.0-bin,
 libmuffin0,
 mate-panel | gnome-panel | tint2,
 mesa-utils,
 metacity,
 nemo,
 network-manager-gnome [linux-any],
 policykit-1-gnome,
 python3,
 python3-dbus,
 python3-distro,
 python3-gi,
 python3-gi-cairo,
 python3-pam | python3-pampy,
 python3-pexpect,
 python3-pil,
 python3-pyinotify,
 python3-setproctitle,
 python3-tinycss2 | python3-tinycss,
 python3-tz,
 streamer,
 wget,
 xapps-common (>= 1.9.0),
 ${gir:Depends},
 ${icon-theme:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-terminal | x-terminal-emulator,
 gnome-themes-extra | gnome-themes-standard,
Suggests: cinnamon-doc
Provides: notification-daemon, x-window-manager
Description: Modern Linux desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.

Package: cinnamon-common
Architecture: all
Depends:
 gettext,
 gir1.2-cinnamondesktop-3.0 (>= 4.8),
 gir1.2-meta-muffin-0.0,
 gir1.2-timezonemap-1.0,
 xdg-utils,
 python3-xapp,
 ${misc:Depends},
 ${python3:Depends},
Description: Cinnamon desktop (Common data files)
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the architecture independent files needed by Cinnamon

Package: cinnamon-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 cinnamon (= ${binary:Version}),
 cinnamon-control-center-dbg,
 libcinnamon-desktop-dbg (>= 4.8),
 libcinnamon-menu-3-0-dbg (>= 4.8),
 libcjs-dbg (>= 4.8),
 libcvc-dbg,
 muffin-dbg,
 nemo-dbg,
 ${misc:Depends},
Description: Debugging symbols for the Cinnamon desktop
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the debugging symbols.

Package: cinnamon-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Cinnamon documentation
 Cinnamon is a modern Linux desktop which provides advanced innovative
 features and a traditional user experience. It's easy to use, powerful
 and flexible.
 .
 This package contains the code documentation for various Cinnamon components.
